﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace VCommon.VApplication
{
    public class VApplicationModelValidationException : Exception
    {
        public ICollection<ValidationResult> Results { get; }

        public VApplicationModelValidationException(string message, ICollection<ValidationResult> results) : base(message)
        {
            Results = results;
        }
    }
}