﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace VCommon.VEntityFrameworkCore.Tests.Migrations
{
    public partial class AddAuditField : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<DateTime>(
                name: "CreationTime",
                table: "TestEntities",
                type: "datetime",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));

            migrationBuilder.AddColumn<DateTime>(
                name: "LastModificationTime",
                table: "TestEntities",
                type: "datetime",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CreationTime",
                table: "TestEntities");

            migrationBuilder.DropColumn(
                name: "LastModificationTime",
                table: "TestEntities");
        }
    }
}
