﻿using System;

namespace VCommon.VApplication.Authorization
{
    [AttributeUsage(AttributeTargets.Method | AttributeTargets.Interface)]
    public class VServiceAuthorizeAttribute : Attribute
    {
        public string[] AnyPermissionsRequired { get; }

        public VServiceAuthorizeAttribute(params string[] anyPermissionsRequired)
        {
            AnyPermissionsRequired = anyPermissionsRequired;
        }
    }
}
