﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace VCommon.VEntityFrameworkCore.Tests.Migrations
{
    public partial class ChangeKeyField : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<string>(
                name: "Id",
                table: "TestEntities",
                type: "varchar(36)",
                maxLength: 36,
                nullable: false,
                oldClrType: typeof(byte[]),
                oldType: "varbinary(16)");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<byte[]>(
                name: "Id",
                table: "TestEntities",
                type: "varbinary(16)",
                nullable: false,
                oldClrType: typeof(string),
                oldType: "varchar(36)",
                oldMaxLength: 36);
        }
    }
}
